%bcond_without static_libs # don't build static libraries

Summary:        Library providing binary-decimal and decimal-binary routines for IEEE doubles
Name:           double-conversion
Version:        2.0.1
Release:        %mkrel 7
License:        BSD
Group:          Development/Other
Source0:        https://github.com/floitsch/double-conversion/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# Upstream patch to support SOVERSION
Patch0:         double-conversion-soversion.patch
# Use install paths in installed cmake files
# https://github.com/floitsch/double-conversion/pull/9
Patch1:         double-conversion-cmake.patch
URL:            https://github.com/floitsch/double-conversion
BuildRequires:  cmake

%description
Provides binary-decimal and decimal-binary routines for IEEE doubles.
The library consists of efficient conversion routines that have been
extracted from the V8 JavaScript engine. The code has been re-factored
and improved so that it can be used more easily in other projects.

%package devel
Summary:    Library providing binary-decimal and decimal-binary routines for IEEE doubles
Group:      Development/Other
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description devel
Contains header files for developing applications that use the %{name}
library.

There is extensive documentation in src/double-conversion.h. Other
examples can be found in test/cctest/test-conversions.cc.

%package static
Summary:    Library providing binary-decimal and decimal-binary routines for IEEE doubles
Group:      Development/Other
Requires:   %{name}-devel%{?_isa} = %{version}-%{release}

%description static
Static %{name} library.

%prep
%setup -q
%patch0 -p1 -b .soversion
%patch1 -p1 -b .cmake
# Fix up install locations
# https://github.com/floitsch/double-conversion/issues/8
sed -i -e s,lib/CMake,%{_lib}/cmake, CMakeLists.txt
sed -i -e s,/lib,/%{_lib}, src/CMakeLists.txt

%build
mkdir -p build-shared
pushd build-shared
  %cmake -DBUILD_TESTING=ON ../..
  %make
popd

%if %{with static_libs}
mkdir  -p build-static
pushd build-static
  CXXFLAGS="%{optflags} -fPIC" %cmake -DBUILD_SHARED_LIBS=NO ../..
  %make
popd
%endif

%install
%if %{with static_libs}
pushd build-static
  %makeinstall DESTDIR=%{buildroot} -C build
popd
%endif

pushd build-shared
  %makeinstall DESTDIR=%{buildroot} -C build
popd

%files
%doc LICENSE README AUTHORS Changelog
%{_libdir}/libdouble-conversion.so.1*

%files devel
%{_libdir}/libdouble-conversion.so
%{_libdir}/cmake/%{name}
%{_includedir}/%{name}

%if %{with static_libs}
%files static
%{_libdir}/libdouble-conversion.a
%endif



%changelog
* Fri May 06 2016 neoclust <neoclust> 2.0.1-7.mga6
+ Revision: 1009858
- imported package double-conversion

